<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>KPI Lecturer</title>
    <link rel="stylesheet" th:href="@{/css/sweetalert2.min.css}">
    <!-- SweetAlert2 JS -->
    <script th:src="@{/js/sweetalert2.js}"></script>
    <script>
        function confirmDelete(element) {
            event.preventDefault(); // Prevent the default navigation

            // SweetAlert2 confirmation dialog
            Swal.fire({
                title: 'Are you sure?',
                text: "This action cannot be undone!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
                if (result.isConfirmed) {
                    // Redirect to the dynamically set data-href URL if confirmed
                    window.location.href = element.getAttribute("data-href");
                }
            });
        }
    </script>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_kpi_dosen::sidebar_kpi_dosen" th:remove="tag">
        sidebar
    </div>


    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-circle text-secondary" ></i> KPI Lecturer
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success mb-3" role="alert" th:if="${success != null}">
                    <i class="fa fa-check"></i> <span th:text="${success}"></span>
                </div>
                <div class="alert alert-danger mb-3" role="alert" th:if="${error != null}">
                    <i class="fa fa-check"></i> <span th:text="${error}"></span>
                </div>
                <div class="card shadow-sm border-0">
                    <div class="card-header p-4">
                        <div class="d-flex justify-content-between">
                            <span class="fw-bold text-secondary">List Of KPI Lecturer</span>
                            <a class="btn btn-primary btn-sm" th:href="@{/kpi_lecturer/add}">
                                Add Report
                            </a>
                        </div>
                    </div>
                    <div class="card-body pt-4 pb-0 border-0">
                        <form method="get">
                            <div class="row">

                                <div class="col-md-9">
                                    Show entries <span sd:page-size-selector="javascript"></span>
                                </div>

                                <div class="col-md-3" align="right">
                                    <input
                                            class="form-control me-2"
                                            type="text"
                                            placeholder="Search"
                                            name="search"
                                            th:value="${search}"
                                            aria-label="Search"
                                    />
                                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                                </div>

                            </div>
                            <br />
                        </form>
                    </div>

                    <div class="card-body small">
                        <!--              <div class="row"  th:each="dataPengisianKpi,row : ${listPengisianKpi}">-->
                        <!--                <div class="col-md-12 shadow-sm mb-2">-->

                        <!--                </div>-->
                        <!--              </div>-->

                        <div class="row mb-2" th:each="dataPengisianKpi,row : ${listPengisianKpiDosen}">
                            <div class="col-md-12">
                                <div class="shadow-sm mb-2 border p-3 rounded-2">
                                    <div class="row mb-3">
                                        <div class="col-md-6">
                                            <i class="fa fa-clock text-warning"></i>
                                            <span th:text="${#temporals.format(dataPengisianKpi.getPengisianKpiDosen().getTanggal(), 'dd MMMM YYYY')}">Senin 10 Oktober 2024</span>
                                        </div>
                                        <div class="col-md-6 text-end">
                      <span class="badge text-bg-warning"
                            th:text="${dataPengisianKpi.getPengisianKpiDosen().getLecturerClassKpi().getPeriodeEvaluasi()}">BULANAN</span>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-4">
                                            <i class="fa fa-sign text-primary"></i>
                                            <span class="text-secondary">KPI :</span>
                                            <p th:text="${dataPengisianKpi.getPengisianKpiDosen().getLecturerClassKpi().getKpi()}">
                                                Kpi tendik terjabarkan disini dengan detail, seluruhnya
                                            </p>
                                        </div>
                                        <div class="col-md-4">
                                            <i class="fa fa-archive text-primary"></i>
                                            <span class="text-secondary">Report :</span>
                                            <p th:text="${dataPengisianKpi.getPengisianKpiDosen().getDeskripsi()}">
                                                Disini di deskripsikan report dari tendik nya sendiri
                                            </p>
                                        </div>
                                        <div class="col-md-4">
                                            <i class="fa fa-image text-primary"></i>
                                            <span class="text-secondary">Evidance :</span>
                                            <p class="m-0" th:each="evidance, row:${dataPengisianKpi.getPengisianKpiEvidanceDosenList()}">
                                                <a th:href="@{/kpi/evidance(id = ${evidance.getId()})}" target="_blank" th:text="${evidance.getNamaFile()}"></a>
                                            </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12 text-end align-items-end d-flex gap-2">
                                            <form id="form3" class="d-inline-block"
                                                  th:action="@{/kpi_lecturer/add_evidance(dataPengisianKpi=${dataPengisianKpi.getPengisianKpiDosen().getId()})}"
                                                  method="post"
                                                  enctype="multipart/form-data"
                                            >
                                                <label class="btn btn-secondary btn-sm d-inline-block">
                                                    <i class="fa fa-image"></i>
                                                    <input type="file" name="evidance" accept="application/pdf,image/jpeg,image/png"
                                                           onchange="validateSize(this,3)" hidden/>
                                                </label>
                                            </form>

                                            <a class="btn btn-primary btn-sm d-inline-block" th:href="@{/kpi_lecturer/edit(id = ${dataPengisianKpi.getPengisianKpiDosen().getId()})}">
                                                <i class="fa fa-edit"></i>
                                            </a>
                                            <a class="btn btn-danger btn-sm d-inline-block"
                                               th:data-href="@{/kpi_lecturer/delete(id=${dataPengisianKpi.getPengisianKpiDosen().getId()})}"
                                               onclick="confirmDelete(this)">
                                                <i class="fa fa-trash"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card-footer text-end p-4 bg-body border-top-0">
                        <nav aria-label="Page navigation example">
                            <ul class="pagination" sd:pagination="full"></ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>


<script>
    $("#selecsemester").select2({
        theme: "bootstrap-5",
        width: $(this).data("width")
            ? $(this).data("width")
            : $(this).hasClass("w-100")
                ? "100%"
                : "style",
        placeholder: $(this).data("placeholder"),
    });
</script>

<script>
    function validateSize(input, n) {
        const fileSize = input.files[0].size / 1024; // in KB
        if (n == 1) {
            var form = document.getElementById("form1");
        } else if (n == 2) {
            var form = document.getElementById("form2");
        } else if (n == 3) {
            var form = document.getElementById("form3");
        } else {
            var form = document.getElementById("form4");
        }
        if (fileSize > 100) {
            event.target.value = "";
            alert("Ukuran file melebihi 100 KB");
        } else {
            input.form.submit();
        }
    }
</script>






